PipeWire: main-loop.h File Reference

PipeWire 0.2.7

Data Structures | Macros | Functions
main-loop.h File Reference
Include dependency graph for main-loop.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | pw_main_loop_events
| Events of the main loop. More...

## Macros
#define | PW_VERSION_MAIN_LOOP_EVENTS 0

## Functions
struct pw_main_loop * | pw_main_loop_new (struct pw_properties *properties)
| Create a new main loop. More...
void | pw_main_loop_add_listener (struct pw_main_loop *loop, struct spa_hook *listener, const struct pw_main_loop_events *events, void *data)
| Add an event listener. More...
struct pw_loop * | pw_main_loop_get_loop (struct pw_main_loop *loop)
| Get the loop implementation. More...
void | pw_main_loop_destroy (struct pw_main_loop *loop)
| Destroy a loop. More...
void | pw_main_loop_run (struct pw_main_loop *loop)
| Run a main loop. More...
void | pw_main_loop_quit (struct pw_main_loop *loop)
| Quit a main loop. More...

## Macro Definition Documentation

## ◆ PW_VERSION_MAIN_LOOP_EVENTS

#define PW_VERSION_MAIN_LOOP_EVENTS 0

## Function Documentation

## ◆ pw_main_loop_add_listener()

void pw_main_loop_add_listener | ( | struct pw_main_loop * | loop,
|  | struct spa_hook * | listener,
|  | const struct pw_main_loop_events * | events,
|  | void * | data
| ) |  |

Add an event listener.

## ◆ pw_main_loop_destroy()

void pw_main_loop_destroy | ( | struct pw_main_loop * | loop | ) |

Destroy a loop.

## ◆ pw_main_loop_get_loop()

struct pw_loop* pw_main_loop_get_loop | ( | struct pw_main_loop * | loop | ) |

Get the loop implementation.

References pw_loop::loop.

## ◆ pw_main_loop_new()

struct pw_main_loop* pw_main_loop_new | ( | struct pw_properties * | properties | ) |

Create a new main loop.

## ◆ pw_main_loop_quit()

void pw_main_loop_quit | ( | struct pw_main_loop * | loop | ) |

Quit a main loop.

## ◆ pw_main_loop_run()

void pw_main_loop_run | ( | struct pw_main_loop * | loop | ) |

Run a main loop.

This blocks until pw_main_loop_quit is called